% from app.data.filter import get_query_param
<form id="filter" method="{{ method }}" action="{{ action }}">
  <style>
  select::-webkit-scrollbar {
  width: 11px;
}
select {
  color: #cccccc;
  background-color: #080808;
  scrollbar-width: thin;
  scrollbar-color: var(--thumbBG) var(--scrollbarBG);
}
select::-webkit-scrollbar-track {
  background: var(--scrollbarBG);
}
select::-webkit-scrollbar-thumb {
  background-color: var(--thumbBG) ;
  border-radius: 6px;
  border: 3px solid var(--scrollbarBG);
}
  </style>
  % include('button-style')
  % include('button-nav', action=action)
  <details style="padding: 1em 0">
    <summary>Click to expand filter...</summary>
    % include('button-action')
    <div class="pure-g">
      <%
      include('filter-set',
        product=product, category=category, group=group,
        tags=tags, units=units)
      %>
    </div>
  </details>
</form>
% params = [{
%   'name': k,
%   'value': get_query_param(inc, ex),
% } for k, (inc, ex) in params.items()]
% include('form-clear', params=params)
% include('form-reload', params=params)